This mod adds another construction hammer called "MrSerji's Hammer". It adds a lot of new build pieces to the game. 
If you like you can deactivate it in the config and have all build pieces included in the vanilla hammer. [Restart needed!]

- Big thanks to [azumatt](https://www.nexusmods.com/users/111879873) ﻿and blaxxun for their templates and their support in the Discord channel!
- A big thanks to [BentoG](https://valheim.thunderstore.io/package/BentoG/) ﻿for his meshes from his [MissingPieces](https://valheim.thunderstore.io/package/BentoG/MissingPieces/) ﻿mod :D

## New building pieces:
- Extensions to the vanilla building pieces
- A roof made of leaves (Inspired by this [texture mod](https://www.nexusmods.com/valheim/mods/1590?tab=description))
- Building pieces from "branches"
- Very simple pier (Modular)
- 2 new Stonetypes (Sandstone and Darkstone) as building pieces
- New furniture

A list with all used prefabs is included into the mod!

# Mods which complement my mod:
- [ComfyBuildExpansion:](https://valheim.thunderstore.io/package/ComfyMods/ComfyBuildExpansion/) 
Needed to be able to use more than 91+ pieces. Can also be another mod with similar principle!
- [MissingPieces:](https://valheim.thunderstore.io/package/BentoG/MissingPieces/)
Some of my pieces come from models of this mod. For this reason, they complement each other for example with the stones or thatched roofs.

## Changelog
- 0.2.4.2
Mistland-Update, new Hammer, Leaf drops from Greylings + Greydwarfs and from trees, file size reduced by half
- 0.2.4
Many new pieces, including new signs, new lamps, stairs etc.
- 0.2.3
New stone chest and bug fixes!
Prefabs have been renamed, all buildings already placed are thus invalid...
- 0.2.2
New stone and branch components, new Branch Chest!
- 0.2.1
New "Branch" pieces, flat roofs have been adjusted, "destruction" animations should now fit, building effect has been adjusted
- 0.2.0
New Feature (Custom Hammer deactivable), Flat roofs now count as "roofs, snappoints adjusted
- 0.1.2
Adds new pieces for the thatch and leaf roofs
- 0.1.1
Texture change, snappoints adjusted, Vulkan compatibility established
- 0.1.0
Initial Release

## Game version on which the mod test took place:
- Mistlands Ver 0.212.9

## Languages that are currently integrated:
- English
- German

If your language is not available, then the English language will be used by default.
There is also the possibility that you can create your own language files. 
For this purpose, you will find an optional file on [Nexus](https://www.nexusmods.com/valheim/mods/1911?tab=files).


## Installation:
Paste the file "MrSerji_Construction.dll" into the following path:
#### Steam:
Steam\steamapps\common\Valheim\BepInEx\plugins

## Mod activation:
- Automatically.

The hammer can be made at the workbench and this directly at the start of the game.

## Known Issues:
- /

## Compatibility:
- Not compatible with "[Project AUGA](https://valheim.thunderstore.io/package/RandyKnapp/Auga/)", unless it is possible to use more than 91 components with it.

# Preview Image
![SomeNewStuffVer0.2.4](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1657041463-1553710255.png)
![Sandstone_Inside](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1655053045-113562132.png)
![Branch_Inside](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654972211-1411002499.png)
![Meadows](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654517682-961601290.png)
![Mountain](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654517688-77648810.png)

# Models used
- [Low Poly Survival Hammer by davidskalin](https://sketchfab.com/3d-models/low-poly-survival-hammer-e8a2859db612442ea141b4e3af48cd58)
- [Stylized Wood Signs by Fis9000](https://sketchfab.com/3d-models/stylized-wood-signs-8175c5f7b47b4a0abb1c48b0da848654);
- [Stylized Light Post by Fis9000](https://sketchfab.com/3d-models/stylized-light-post-f8ea07f5f3234f5cbb21c2beb0eae774);
- [Trone Lowpoly by ViktorianWios](https://sketchfab.com/3d-models/trone-lowpoly-fdb06a9e3dc24098a0202fe02991a9e8);
- [Single Leaf Set by farhad.Guli](https://sketchfab.com/3d-models/single-leaf-002c974f7dec492a940abddab3104bab);
- [Washing Line by Selax](https://sketchfab.com/3d-models/washing-line-45d354e0bfdd42f9af00cd5cd0cb2ffa)
